librevenge::RVNGHTMLTextZone Struct Reference documentation

librevenge::RVNGHTMLTextZone Struct Reference

a zone to regroup footnote/endnote,... data More...

## Public Types
enum | Type { Z_Comment =0 , Z_EndNote , Z_FootNote , Z_Main , Z_MetaData , Z_TextBox , Z_Unknown , Z_NumZones = Z_Unknown+1 }
| the different zone More...

## Public Member Functions
| RVNGHTMLTextZone (Type tp=Z_Unknown)
| constructor for basic stream
Type | type () const
| the type
void | setType (Type tp)
| the type
RVNGHTMLTextStream * | getNewStream ()
| returns a new stream corresponding to this zone
bool | isEmpty () const
| returns true if there is no data
void | send (std::ostream &out) const
| send the zone data

## Static Public Member Functions
static void | deleteStream (RVNGHTMLTextStream *stream)
| delete a stream corresponding to this zone

## Protected Member Functions
std::string | label (int id) const
| return a label corresponding to the zone

## Protected Attributes
Type | m_type
| the zone type
int | m_actualId
| the actual id
std::vector< std::string > | m_stringList
| the list of data string

## Private Member Functions
| RVNGHTMLTextZone (RVNGHTMLTextZone const &orig)
RVNGHTMLTextZone | operator= (RVNGHTMLTextZone const &orig)

## Friends
struct | RVNGHTMLTextStream

## Detailed Description

a zone to regroup footnote/endnote,... data

## Member Enumeration Documentation

## ◆ Type

enum librevenge::RVNGHTMLTextZone::Type

the different zone

Enumerator
Z_Comment |
Z_EndNote |
Z_FootNote |
Z_Main |
Z_MetaData |
Z_TextBox |
Z_Unknown |
Z_NumZones |

## Constructor & Destructor Documentation

## ◆ RVNGHTMLTextZone() [1/2]

librevenge::RVNGHTMLTextZone::RVNGHTMLTextZone | ( | Type | tp = Z_Unknown | ) |
| inline

constructor for basic stream

Referenced by operator=(), and RVNGHTMLTextZone().

## ◆ RVNGHTMLTextZone() [2/2]

librevenge::RVNGHTMLTextZone::RVNGHTMLTextZone | ( | RVNGHTMLTextZone const & | orig | ) |
| private

## Member Function Documentation

## ◆ deleteStream()

void librevenge::RVNGHTMLTextZone::deleteStream | ( | RVNGHTMLTextStream * | stream | ) |
| static

delete a stream corresponding to this zone

## ◆ getNewStream()

RVNGHTMLTextStream * librevenge::RVNGHTMLTextZone::getNewStream | ( |  | ) |

returns a new stream corresponding to this zone

## ◆ isEmpty()

bool librevenge::RVNGHTMLTextZone::isEmpty | ( |  | ) | const
| inline

returns true if there is no data

Referenced by send().

## ◆ label()

std::string librevenge::RVNGHTMLTextZone::label | ( | int | id | ) | const
| protected

return a label corresponding to the zone

## ◆ operator=()

RVNGHTMLTextZone librevenge::RVNGHTMLTextZone::operator= | ( | RVNGHTMLTextZone const & | orig | ) |
| private

## ◆ send()

void librevenge::RVNGHTMLTextZone::send | ( | std::ostream & | out | ) | const
| inline

send the zone data

## ◆ setType()

void librevenge::RVNGHTMLTextZone::setType | ( | Type | tp | ) |
| inline

the type

## ◆ type()

Type librevenge::RVNGHTMLTextZone::type | ( |  | ) | const
| inline

the type

## Friends And Related Symbol Documentation

## ◆ RVNGHTMLTextStream

friend struct RVNGHTMLTextStream
| friend

Referenced by deleteStream(), getNewStream(), and RVNGHTMLTextStream.

## Member Data Documentation

## ◆ m_actualId

int librevenge::RVNGHTMLTextZone::m_actualId
| mutableprotected

the actual id

Referenced by RVNGHTMLTextZone().

## ◆ m_stringList

std::vector<std::string> librevenge::RVNGHTMLTextZone::m_stringList
| protected

the list of data string

Referenced by isEmpty(), RVNGHTMLTextZone(), and send().

## ◆ m_type

Type librevenge::RVNGHTMLTextZone::m_type
| protected

the zone type

Referenced by label(), RVNGHTMLTextZone(), send(), setType(), and type().

The documentation for this struct was generated from the following file:

- RVNGHTMLTextGenerator.cpp